#!/usr/bin/perl
use XML::Simple;
use WWW::Mechanize;
use Getopt::Long;

my $PROGNAME='check_snmp_printer.pl';
my $TIMEOUT = 15;
my %ERRORS=('OK'=>0,'WARNING'=>1,'CRITICAL'=>2,'UNKNOWN'=>3,'DEPENDENT'=>4);
my $return=$ERRORS{OK};
my ($opt_h,$opt_V);
my $hostname;

#
#MAIN
#
&Getopt::Long::config('bundling');
GetOptions(
	"V"   => \$opt_V,	"version"    => \$opt_V,
	"h"   => \$opt_h,	"help"       => \$opt_h,
	"H=s" => \$hostname,	"hostname=s" => \$hostname);

# créer un objet
my $xml = new XML::Simple;
my $bot = WWW::Mechanize->new(ssl_opts => {SSL_verify_mode => IO::Socket::SSL::SSL_VERIFY_NONE});
my $response = $bot->get( $hostname.'/health.php' );
my $content = $response->decoded_content();



# lire le fichier XML
my $data = $xml->XMLin($content);
# afficher le résultat
if($data->{daemon} == 1)
{
        print "OK: Daemon state is running\n";
}
elsif($data->{daemon} == 0)
{
        print "CRITICAL: Daemon state is stopped\n";
        $return=$ERRORS{CRITICAL};
}
else
{
        print "CRITICAL: ".$data->{daemon}." daemons are running\n";
        $return=$ERRORS{CRITICAL};
}
if($data->{service} != 0)
{
	print "OK: Last 5 min execute service: ".$data->{service}."\n";
}
else
{
	print "CRITICAL: Last 5 min execute service: 0 !!!!\n";
	$return=$ERRORS{CRITICAL};
}

exit $return;

